For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authorization

These endpoints will allow you to authorize the user.

Log user out

get

Integration This method can be used to log out current user. It will revoke all refresh tokens assigned to current user so it will not be possible to obtain new token based on stored refresh token.

Authorizations
AuthorizationstringRequired

Open Loyalty has the JWT authorization. To learn what a JSON Web Token is and how it works, check out Introduction to JSON Web Tokens https://jwt.io/introduction/

Obtain an access token

Send a request with the parameters username and password

Definition

POST /api/admin/login_check Go to definition
POST /api/{storeCode}/member/login_check Go to definition

Example

curl {HOST}/api/admin/login_check
    -H 'Content-Type: application/json;charset=UTF-8'
    -H 'Accept: application/json, text/plain, */*'
    --data-binary '{"username":"admin","password":"password"}'

Example Response

{
    "token":"eyJhbGciOiJSUzI1NiIsInR5cCI6...",
    "refresh_token":"0558f8bb29948c4e54c443f..."
}

Using JSON Web Token

Add authorization header to each request
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...
You can now access any API method you want under the /api prefix.

Example

curl {HOST}/api/{storeCode}/analytics/members
    -H 'Accept: application/json'
    -H 'Content-type: application/x-www-form-urlencoded'
    -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6...'

Refresh JSON Web Token

You can refresh token using refresh_token that was given during login.
There are two endpoints
To refresh admin token POST /api/token/refresh Go to definition
To refresh member token POST /api/{storeCode}/token/refresh Go to definition

Responses
204

Success. No content.

No content

get/api/token/revoke

No content

Get admin token

post

Management This method allows to login and get a JWT token for the admin

Body
usernamestringOptionalExample: admin
passwordstringOptionalExample: password
Responses
200Success
application/json
tokenstringOptionalExample: eyJhbGciOiJSUzI1NiIsInR5cCI6...
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
post/api/admin/login_check
Deprecated

Get member token

post

Management This method allows to login and get a JWT token for the member

Path parameters
storeCodestringRequired

Store code

Body
usernamestringOptionalExample: member
passwordstringOptionalExample: password
Responses
200Success
application/json
tokenstringOptionalExample: eyJhbGciOiJSUzI1NiIsInR5cCI6...
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
post/api/{storeCode}/member/login_check

Refresh admin token

post

Management

Body
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
Responses
200Success
application/json
tokenstringOptionalExample: eyJhbGciOiJSUzI1NiIsInR5cCI6...
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
post/api/token/refresh
Deprecated

Refresh member token

post

Management

Path parameters
storeCodestringRequired

Store code

Body
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
Responses
200Success
application/json
tokenstringOptionalExample: eyJhbGciOiJSUzI1NiIsInR5cCI6...
refresh_tokenstringOptionalExample: 0558f8bb29948c4e54c443f...
post/api/{storeCode}/token/refresh

Last updated

Was this helpful?